1 Reply Latest reply on Jun 20, 2003 5:49 AM by Sacha Labourey

    Patch to support IBM JDK under 3.0.8 for Tomcat

    Dennis Cartier Newbie

      Hello,

      I submitted a bug report awhile back about a problem with the IBM JDK not supporting an algorithm that is used for the distributable session generation. See: http://sourceforge.net/tracker/index.php?func=detail&aid=730969&group_id=22866&atid=376685

      I just checked the 3.0.8 version and I see that the problem still exists, so I have attached my patch that fixes it for the embedded Tomcat version. I have not patched it for Jetty, as I do not use it and have no way of testing it, or any of the other places (other than Tomcat) that are documented in my original bug report.

      Please use this at your own risk.

      Dennis

      P.S. It works for 3.0.7 as well.